Skip Menu |
 

This queue is for tickets about the Task-Weaken CPAN distribution.

Report information
The Basics
Id: 30444
Status: resolved
Priority: 0/
Queue: Task-Weaken

People
Owner: Nobody in particular
Requestors: dagolden [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: 1.05



Subject: Weak referendes not available on perl < 5.006
Download (untitled) / with headers
text/plain 211b
Weak references were only introduced in 5.006. So you can shortcut the whole process (plus have yourself get NA test reports instead of FAIL on 5.005) if you just add "use 5.006;" to the top of the Makefile.PL
Subject: Re: [rt.cpan.org #30444] Weak referendes not available on perl < 5.006
Date: Sun, 4 Nov 2007 22:04:45 +1100
To: bug-Task-Weaken [...] rt.cpan.org
From: "Adam Kennedy" <adamkennedybackup [...] gmail.com>
Download (untitled) / with headers
text/plain 816b
A "use" statement for a Makefile.PL is for the minimum Perl version support by the installer, NOT for the module itself. But I get your point. On 04/11/2007, via RT <bug-Task-Weaken@rt.cpan.org> wrote: Show quoted text
> > > Sat Nov 03 12:11:30 2007: Request 30444 was acted upon. > Transaction: Ticket created by DAGOLDEN > Queue: Task-Weaken > Subject: Weak referendes not available on perl < 5.006 > Broken in: (no value) > Severity: Normal > Owner: Nobody > Requestors: DAGOLDEN@cpan.org > Status: new > Ticket <URL: http://rt.cpan.org/Ticket/Display.html?id=30444 > > > > Weak references were only introduced in 5.006. So you can shortcut the > whole process (plus have yourself get NA test reports instead of FAIL on > 5.005) if you just add "use 5.006;" to the top of the Makefile.PL > >
5.6 prereq added in 1.05.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.